// EdIRMacL.hpp : header file
//

#ifndef _EDIRCSLS_HPP_
#define _EDIRCSLS_HPP_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

//////////////////////////////////////////////////////////////////
// class CPA_EdIR_ConstantList
//////////////////////////////////////////////////////////////////

#include <afxtempl.h>

#include "EdIRCst.hpp"

class CPA_EdIR_ConstantList : public CList<CPA_EdIR_Constant *,CPA_EdIR_Constant *>
{
	public:
		CMapStringToPtr	*map;

		//Empty constructor
		CPA_EdIR_ConstantList();

		//Destructor;
		~CPA_EdIR_ConstantList();

		void		m_fn_vDestroyAndRemoveAllEntries();

		void		m_fn_vAdd(CString,CString,CString);
		void		m_fn_vRemove(CString);

		CPA_EdIR_Constant *m_fn_pAdd(CString,CString,CString);
		
		BOOL		m_fn_bIsAConstant(CString&);
		CString	m_fn_csGetValueOfAConstant(CString&);
		CString	m_fn_csGetTypeOfAConstant(CString&);
};

#endif //_EDIRCSLS_HPP_
